org.apache.solr.request

## Class LocalSolrQueryRequest

- java.lang.Object
- - org.apache.solr.request.SolrQueryRequestBase
  - - org.apache.solr.request.LocalSolrQueryRequest

- All Implemented Interfaces:
    Closeable, AutoCloseable, SolrQueryRequest

      public class LocalSolrQueryRequest
      extends SolrQueryRequestBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map` | `emptyArgs`

    - ### Fields inherited from class org.apache.solr.request.SolrQueryRequestBase

      `context, core, json, origParams, params, schema, searcherHolder, startTime, streams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSolrQueryRequest(SolrCore core, Map<String,String[]> args)`
    `LocalSolrQueryRequest(SolrCore core, NamedList args)`
    `LocalSolrQueryRequest(SolrCore core, SolrParams args)`
    `LocalSolrQueryRequest(SolrCore core, String query, String qtype, int start, int limit, Map args)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static SolrParams` | `makeParams(String query, String qtype, int start, int limit, Map args)`

    - ### Methods inherited from class org.apache.solr.request.SolrQueryRequestBase

      `close, getContentStreams, getContext, getCore, getJSON, getOriginalParams, getParams, getParamString, getRequestTimer, getSchema, getSearcher, getStartTime, getUserPrincipal, setContentStreams, setJSON, setParams, toString, updateSchemaToLatest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### emptyArgs

          public static final Map emptyArgs

  - ### Constructor Detail

    - #### LocalSolrQueryRequest

          public LocalSolrQueryRequest(SolrCore core,
                                       String query,
                                       String qtype,
                                       int start,
                                       int limit,
                                       Map args)

    - #### LocalSolrQueryRequest

          public LocalSolrQueryRequest(SolrCore core,
                                       NamedList args)

    - #### LocalSolrQueryRequest

          public LocalSolrQueryRequest(SolrCore core,
                                       Map<String,String[]> args)

    - #### LocalSolrQueryRequest

          public LocalSolrQueryRequest(SolrCore core,
                                       SolrParams args)

  - ### Method Detail

    - #### makeParams

          protected static SolrParams makeParams(String query,
                                                 String qtype,
                                                 int start,
                                                 int limit,
                                                 Map args)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.